## Lifecicle of the ETSI delivery repository

### Overview of ETSI delivery repository

ETSI delivery repository is the software repository containing some software or source code to be considered as a part of the standard published by ETSI.
The ETSI delivery can contain a part of repository content or a reference to the tagged version of the repository.

- The ETSI delivery repository can contain multiple release branches. 
- The ETSI delivery repository contains only publicly available versions of the delivery content.
- The ETSI delivery repository shall not contain developers branches excepting of one or more WI rapporteur's development branch been used to collect merge requests from individual developers.
- The ETSI delivery repository can be maintained by
  - ETSI technical officers
  - Working group officials 
  - WI rapporteurs

### Repository creation

The ETSI delivery repository can be created when new WI to the ETSI delivery is approved and this delivery shall contain the software code as a part of the delivery.

The ETSI delivery repository shall be named as \<tag\>_\<document number\> where:
- tag is the short acronym to identify the module (optional)
- document number is the ETSI delivery number in the form defined in ETSI directive.

> Examples: sec_ts103097, cdd_102984_2, etc.

According to the chosen contribution strategy, the development branch or development repository can be created for the WI.

### Contribution strategies (`to be moved to contribution document`)

Two contribution strategies can be supported by ETSI forge:
- WI development branch approach.
- WI development repository approach

It is up to Technical Body to select the strategy to be applied for ETSI delivery repositories.

#### WI development branch approach

- The new development branch (WI branch) can be created in the ETSI delivery repository when new work item is approved. 
- The WI branch is publicly visible.
- WI rapporteur collects merge requests from individual developers and merge it into the WI branch.

#### WI development repository approach

- The new development repository (WI repository) can be forked from the ETSI delivery repository when new work item is approved.
- The WI repository is visible for EOL accounts only.
- The WI repository is managed by the WI rapporteur.
- The WI repository can contain development branches.
- The WI rapporteur collects merge requests from individual developers and merge into the master of WI repository.

